Function
assignQualities
Assign quality values between strings.
assignQualities(target, source)
Include Headers
seqan/basic.h
Parameters

target | Target string Types: String of any alphabet with qualities, e.g. DnaQ, Dna5Q
source | Source string. Types: String of int or char.

Remarks
The target is resized to the length of source. This function calls assignQualityValue for all entries of target and source, look at the documentation of assignQualityValue on how the values of source are interpreted.
Note that qualities are expected to be in PHRED scale.
See Also
assignQualityValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57